Subject: Enron
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 24 Oct 2001 08:03:58 -0700 (PDT)

As I sit here this Wednesday morning and watch ENE trade $15.80 I can not begin to explain the pit in my stomach.  I have been an employee of Enron since June of 1984, I have never written a memo to my CEO to express opinions and or ask direct questions. 
	I can not believe that the individuals that are responsible for this catastrophe are still employed.  And I guess I need to understand why?  FIRED THEM !   It is apparent to me  that the information we have given to the market place is not sufficient enough.  "THEY" don't trust us anymore.  Get a plan of action, attack it, and save this company.